Bug 810716 - [abrt] nicotine+-1.2.16-4.fc16: uglytree.py:179:GetOffset:TypeError: unsupported operand type(s) for -: 'tuple' and 'int'
[abrt] nicotine+-1.2.16-4.fc16: uglytree.py:179:GetOffset:TypeError: unsuppor...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nicotine+ (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mohamed El Morabity
Fedora Extras Quality Assurance
abrt_hash:955aa222bc8153cb4614a99dfc1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-08 11:52 EDT by Dario Castellarin
Modified: 2013-02-13 16:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 16:07:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dario Castellarin 2012-04-08 11:52:52 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/bin/nicotine
comment:        Trying to upload some files to an user in my friends list.
executable:     /usr/bin/nicotine
kernel:         3.3.1-3.fc16.x86_64
reason:         uglytree.py:179:GetOffset:TypeError: unsupported operand type(s) for -: 'tuple' and 'int'
reported_to:    file: /home/dario/.abrt/log
time:           dom 08 apr 2012 17:51:27 CEST
uid:            1000
username:       dario

backtrace:
:uglytree.py:179:GetOffset:TypeError: unsupported operand type(s) for -: 'tuple' and 'int'
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/pynicotine/gtkgui/userbrowse.py", line 662, in OnUploadDirectoryRecursiveTo
:    self.OnUploadDirectoryTo(widget, recurse=1)
:  File "/usr/lib/python2.7/site-packages/pynicotine/gtkgui/userbrowse.py", line 698, in OnUploadDirectoryTo
:    self.UploadDirectoryTo(user, dir, recurse)
:  File "/usr/lib/python2.7/site-packages/pynicotine/gtkgui/userbrowse.py", line 680, in UploadDirectoryTo
:    self.UploadDirectoryTo(user, self.DirStore.on_get_path(node), recurse)
:  File "/usr/lib/python2.7/site-packages/pynicotine/gtkgui/uglytree.py", line 200, in on_get_path
:    path = (self.GetOffset(node),)
:  File "/usr/lib/python2.7/site-packages/pynicotine/gtkgui/uglytree.py", line 179, in GetOffset
:    return number - p_number
:TypeError: unsupported operand type(s) for -: 'tuple' and 'int'
:
:Local variables in innermost frame:
:p_number: 0
:node: (1, (6, 144))
:level: 1
:self: <UglyTree object at 0x7f4210198140 (PyGtkGenericTreeModel at 0x2f21980)>
:number: (6, 144)
:p_level: 1

event_log:
:2012-04-08-17:52:07> Smolt profile successfully saved
:2012-04-08-17:52:43> La notifica è stata aggiunta a /home/dario/.abrt/log

smolt_data:
:
:
:Generale
:=================================
:UUID: b7b58522-9e5c-4935-875c-067afb26650d
:OS: Fedora release 16 (Verne)
:Run level predefinito: Unknown
:Linguaggio: it_IT.utf8
:Piattaforma: x86_64
:BogoMIPS: 4189.15
:Venditore CPU: GenuineIntel
:Modello CPU: Intel(R) Core(TM)2 Duo CPU     T8100  @ 2.10GHz
:CPU Stepping: 6
:Famiglia della CPU: 6
:Numero modello CPU: 23
:Numero di CPU: 2
:Velocità CPU: 2101
:Memoria di sistema: 3954
:Swap di sistema: 6015
:Venditore: -
:Sistema: N/A N/A
:Form factor: Notebook
:Kernel: 3.3.1-3.fc16.x86_64
:SELinux abilitato: 1
:Politica di SELinux: targeted
:SELinux Enforce: Permissive
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Dispositivi
:=================================
:(32902:10752:5312:37) pci, None, HOST/PCI, Mobile PM965/GM965/GL960 Memory Controller Hub
:(32902:10753:37:37) pci, pcieport, PCI/PCI, Mobile PM965/GM965/GL960 PCI Express Root Port
:(5348:5779:5312:37) pci, tg3, ETHERNET, NetLink BCM5787M Gigabit Ethernet PCI Express
:(32902:10302:5312:37) pci, i801_smbus, SERIAL, 82801H (ICH8 Family) SMBus Controller
:(32902:10281:5312:37) pci, ahci, STORAGE, 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller
:(32902:10320:5312:37) pci, ata_piix, STORAGE, 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller
:(32902:10261:5312:37) pci, None, PCI/ISA, 82801HEM (ICH8M) LPC Interface Controller
:(32902:16937:32902:4353) pci, iwl4965, NETWORK, PRO/Wireless 4965 AG or AGN
:(32902:9288:5312:37) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10289:5312:37) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #2
:(32902:10288:5312:37) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #1
:(32902:10290:5312:37) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #3
:(32902:10294:5312:37) pci, ehci_hcd, USB, 82801H (ICH8 Family) USB2 EHCI Controller #1
:(32902:10298:5312:37) pci, ehci_hcd, USB, 82801H (ICH8 Family) USB2 EHCI Controller #2
:(32902:10307:5312:37) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 3
:(32902:10309:5312:37) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 4
:(32902:10303:5312:37) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 1
:(32902:10305:5312:37) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 2
:(32902:10311:5312:37) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 5
:(32902:10315:5312:37) pci, snd_hda_intel, MULTIMEDIA, 82801H (ICH8 Family) HD Audio Controller
:(32902:10292:5312:37) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #4
:(4480:2082:5312:37) pci, sdhci-pci, BASE, R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter
:(4480:2098:5312:37) pci, firewire_ohci, FIREWIRE, R5C832 IEEE 1394 Controller
:(32902:10293:5312:37) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #5
:(4318:1031:5312:37) pci, nouveau, VIDEO, G84 [GeForce 8600M GT]
:(32902:10313:5312:37) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 6
:(4480:1426:5312:37) pci, r592, BASE, R5C592 Memory Stick Bus Host Adapter
:
:
:Informazioni sul filesystem
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_dariolaptop-lv_root / ext4 4096 4096 13081819 11578031 10922671 3276800 3122989 3122989
:/dev/mapper/vg_dariolaptop-lv_home /home ext4 4096 4096 56023751 26510951 23706420 14024704 13970029 13970029
:/dev/sda3 /boot ext4 1024 1024 508745 410175 384575 128016 127785 127785
:
Comment 1 Fedora End Of Life 2013-01-16 11:55:53 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 16:07:12 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.